<?php

namespace Modules\CustomFields\Http\Requests;

use Modules\CustomFields\Models\Type;
use App\Abstracts\Http\FormRequest;

class Field extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $rules = [
            'name'        => 'required|string',
            'icon'        => 'required|string',
            'class'       => 'required|string',
            'type_id'     => 'required|integer',
            'location_id' => 'required|integer',
            'sort'        => 'required|string',
            'required'    => 'required|boolean',
            'enabled'     => 'integer|boolean',
        ];

        $type = Type::find(request()->get('type_id'));

        if ($type->type == 'select' || $type->type == 'radio' || $type->type == 'checkbox') {
            $rules['values.*'] = 'required|string';
        }

        if (request('sort', true) != 'item_custom_fields') {
            $rules['order'] = 'required|string';
        }

        return $rules;
    }
}
