<?php

namespace Modules\CustomFields\Http\ViewComposers;

use Illuminate\View\View;
use Modules\CustomFields\Traits\CustomFields;
use Modules\CustomFields\Traits\Permissions;

class FieldShow
{
    use CustomFields, Permissions;

    /**
     * Bind data to the view.
     *
     * @param  View  $view
     * @return void
     */
    public function compose(View $view)
    {
        if ($this->canCompose()) {
            return;
        }

        $request = request();

        $fields = $this->getFieldsByLocation($request->segment(1) . '.' . $request->segment(2));

        if ($fields->isEmpty()) {
            return;
        }

        foreach ($fields as $field) {
            $is_item = false;
            $field_value = $this->getFieldValue($field, $request, $view);

            if ($view->getName() == 'components.documents.template.line-item' && $field->fieldLocation->sort_order == 'item_custom_fields') {
                $is_item = true;
                
                $view->getFactory()->startPush($field->fieldLocation->sort_order . '_' . $view->getData()['item']->id, view('custom-fields::field_show', compact('field', 'field_value', 'is_item')));                
            }

            if ($view->getName() != 'components.documents.template.line-item' && $field->fieldLocation->sort_order != 'item_custom_fields') {
                $view->getFactory()->startPush($field->fieldLocation->sort_order, view('custom-fields::field_show', compact('field', 'field_value', 'is_item')));
            }
        }
    }
}
