<?php

namespace Modules\CustomFields\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Modules\CustomFields\Listeners\CloneField;
use Modules\CustomFields\Listeners\FinishInstallation;
use Modules\CustomFields\Listeners\ShowInSettingsPage;
use Modules\CustomFields\Listeners\Update\Version200;
use Modules\CustomFields\Listeners\Update\Version210;

class Event extends ServiceProvider
{
    /**
     * The event listener mappings for the module.
     *
     * @var array
     */
    protected $listen = [
        \App\Events\Module\Installed::class => [
            FinishInstallation::class,
        ],
        \App\Events\Module\SettingShowing::class => [
            ShowInSettingsPage::class,
        ],
        \App\Events\Install\UpdateFinished::class => [
            Version200::class,
            Version210::class,
        ],
        'cloner::cloned: App\Models\Sale\Invoice' => [
            CloneField::class,
        ],
        'cloner::cloned: App\Models\Sale\InvoiceItem' => [
            CloneField::class,
        ],
        'cloner::cloned: App\Models\Purchase\Bill' => [
            CloneField::class,
        ],
        'cloner::cloned: App\Models\Purchase\BillItem' => [
            CloneField::class,
        ],
        'cloner::cloned: App\Models\Common\Company' => [
            CloneField::class,
        ],
        'cloner::cloned: App\Models\Common\Item' => [
            CloneField::class,
        ],
        'cloner::cloned: App\Models\Common\Contact' => [
            CloneField::class,
        ],
        'cloner::cloned: App\Models\Banking\Account' => [
            CloneField::class,
        ],
        'cloner::cloned: App\Models\Banking\Transfer' => [
            CloneField::class,
        ],
        'cloner::cloned: App\Models\Banking\Transaction' => [
            CloneField::class,
        ],
    ];
}
