<?php

namespace Modules\CustomFields\Providers;

use Illuminate\Support\ServiceProvider;
use View;

class ViewComposer extends ServiceProvider
{
    /**
     * Register bindings in the container.
     *
     * @return void
     */
    public function boot()
    {
        View::composer([
            'components.documents.form.content',
            'common.companies.create',
            'common.companies.edit',
            'common.items.create',
            'common.items.edit',
            'sales.revenues.create',
            'sales.revenues.edit',
            'sales.customers.create',
            'sales.customers.edit',
            'purchases.payments.create',
            'purchases.payments.edit',
            'purchases.vendors.create',
            'purchases.vendors.edit',
            'banking.accounts.create',
            'banking.accounts.edit',
            'banking.transfers.create',
            'banking.transfers.edit',
        ], 'Modules\CustomFields\Http\ViewComposers\Field');

        View::composer([
            'components.documents.template.classic',
            'components.documents.template.default',
            'components.documents.template.modern',
            'components.documents.template.line-item',
        ], 'Modules\CustomFields\Http\ViewComposers\FieldShow');
    }

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
        //
    }
}
