<?php $__env->startSection('title', trans_choice('general.updates', 2)); ?>

<?php $__env->startSection('new_button'); ?>
    <a href="<?php echo e(route('updates.check')); ?>" class="btn btn-white btn-sm"><?php echo e(trans('updates.check')); ?></a>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-header">
            <span class="table-text text-primary">Akaunting</span>
        </div>

        <div class="card-body">
            <div class="row">
                <?php if(empty($core)): ?>
                    <div class="col-md-12">
                        <?php echo e(trans('updates.latest_core')); ?>

                    </div>
                <?php else: ?>
                    <div class="col-sm-2 col-md-6 long-texts">
                        <?php echo e(trans('updates.new_core')); ?>

                    </div>

                    <div class="col-sm-10 col-md-6 text-right">
                        <a href="<?php echo e(route('updates.run', ['alias' => 'core', 'version' => $core])); ?>" class="btn btn-info btn-sm long-texts">
                            <?php echo e(trans('updates.update', ['version' => $core])); ?>

                        </a>

                        <button type="button" @click="onChangelog" class="btn btn-white btn-sm header-button-bottom">
                            <?php echo e(trans('updates.changelog')); ?>

                        </button>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>

    <div class="card">
        <div class="card-header border-bottom-0">
            <?php echo e(trans_choice('general.modules', 2)); ?>

        </div>

        <div class="table-responsive">
            <table class="table table-flush table-hover" id="tbl-translations">
                <thead class="thead-light">
                    <tr class="row table-head-line">
                        <th class="col-xs-4 col-sm-4 col-md-4"><?php echo e(trans('general.name')); ?></th>
                        <th class="col-sm-3 col-md-3 d-none d-sm-block"><?php echo e(trans('updates.installed_version')); ?></th>
                        <th class="col-xs-4 col-sm-3 col-md-3"><?php echo e(trans('updates.latest_version')); ?></th>
                        <th class="col-xs-4 col-sm-2 col-md-2 text-center"><?php echo e(trans('general.actions')); ?></th>
                    </tr>
                </thead>

                <tbody>
                    <?php if($modules): ?>
                        <?php $__currentLoopData = $modules; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $module): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr class="row align-items-center border-top-1">
                                <td class="col-xs-4 col-sm-4 col-md-4"><?php echo e($module->name); ?></td>
                                <td class="col-sm-3 col-md-3 d-none d-sm-block"><?php echo e($module->installed); ?></td>
                                <td class="col-xs-4 col-sm-3 col-md-3"><?php echo e($module->latest); ?></td>
                                <td class="col-xs-4 col-sm-2 col-md-2 text-center">
                                    <a href="<?php echo e(route('updates.run', ['alias' => $module->alias, 'version' => $module->latest])); ?>" class="btn btn-warning btn-sm">
                                       <?php echo e(trans_choice('general.updates', 1)); ?>

                                    </a>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                        <tr class="row">
                            <td class="col-12">
                                <div class="text-sm text-muted" id="datatable-basic_info" role="status" aria-live="polite">
                                    <small><?php echo e(trans('general.no_records')); ?></small>
                                </div>
                            </td>
                        </tr>
                    <?php endif; ?>
                </tbody>
            </table>
        </div>
    </div>

    <akaunting-modal v-if="changelog.show"
        :show="changelog.show"
        :title="'<?php echo e(trans('updates.changelog')); ?>'"
        @cancel="changelog.show = false"
        :message="changelog.html">
        <template #card-footer>
            <span></span>
        </template>
    </akaunting-modal>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts_start'); ?>
    <script src="<?php echo e(asset('public/js/install/update.js?v=' . version('short'))); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home1/itiuaeco/public_html/accounts/resources/views/install/updates/index.blade.php ENDPATH**/ ?>