<?php
    $column_name = !empty($column_name) ? $column_name : 'attachment';
    $options = !empty($options) ? $options : false;
?>
<div class="card mb-0">
    <div class="card-body">
        <div class="row align-items-center">
            <div class="col-auto">
                <?php if($file->aggregate_type != 'image'): ?>
                    <i class="fas fa-file-image display-3"></i>
                <?php else: ?>
                    <a href="#" class="avatar">
                        <img src="<?php echo e(route('uploads.get', $file->id)); ?>" alt="<?php echo e($file->basename); ?>">
                    </a>
                <?php endif; ?>
            </div>

            <div class="col ml--2 long-texts">
                <h4 class="mb-0">
                    <span><i class="fas fa-paperclip"></i></span>
                    <span><?php echo e($file->basename); ?></span>
                </h4>

                <small><?php echo e($file->readableSize()); ?></small>
            </div>

            <div class="col-auto">
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('delete-common-uploads')): ?>
                    <a href="javascript:void();" id="remove-<?php echo e($column_name); ?>" @click="onDeleteFile('<?php echo e($file->id); ?>', '<?php echo e(route('uploads.destroy', $file->id)); ?>', '<?php echo e(trans('general.title.delete', ['type' => $column_name])); ?>', '<?php echo e(trans('general.delete_confirm', ['name' => $file->basename, 'type' => $column_name])); ?> ', '<?php echo e(trans('general.cancel')); ?>', '<?php echo e(trans('general.delete')); ?>')" type="button" class="btn btn-sm btn-danger text-white">
                        <i class="fas fa-times"></i>
                    </a>

                    <?php if($options): ?>
                        <input type="hidden" name="page_<?php echo e($file->id); ?>" id="file-page-<?php echo e($file->id); ?>" value="<?php echo e($options['page']); ?>" />
                        <input type="hidden" name="key_<?php echo e($file->id); ?>" id="file-key-<?php echo e($file->id); ?>" value="<?php echo e($options['key']); ?>" />
                        <input type="hidden" name="value_<?php echo e($file->id); ?>" id="file-value-<?php echo e($file->id); ?>" value="<?php echo e($file->id); ?>" />
                    <?php endif; ?>
                <?php endif; ?>

                <a href="<?php echo e(route('uploads.download', $file->id)); ?>" type="button" class="btn btn-sm btn-info text-white">
                    <i class="fas fa-file-download"></i>
                </a>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /home1/itiuaeco/public_html/accounts/resources/views/partials/media/file.blade.php ENDPATH**/ ?>